GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
gdcm::SegmentWriter Class Reference

This class defines a segment writer. It writes attributes of group 0x0062. More...

`#include <gdcmSegmentWriter.h>`

Inheritance diagram for gdcm::SegmentWriter:
[legend]
Collaboration diagram for gdcm::SegmentWriter:
[legend]

## Public Types

typedef std::vector < SmartPointer< Segment > > | SegmentVector

## Public Member Functions

| SegmentWriter ()
virtual | ~SegmentWriter ()
void | AddSegment (SmartPointer< Segment > segment)
unsigned int | GetNumberOfSegments () const
SmartPointer< Segment > | GetSegment (const unsigned int idx=0) const
const SegmentVector & | GetSegments () const
SegmentVector & | GetSegments ()
void | SetNumberOfSegments (const unsigned int size)
void | SetSegments (SegmentVector &segments)
bool | Write ()
| Write.
Public Member Functions inherited from gdcm::Writer
| Writer ()
virtual | ~Writer ()
void | CheckFileMetaInformationOff ()
void | CheckFileMetaInformationOn ()
File & | GetFile ()
void | SetCheckFileMetaInformation (bool b)
| Undocumented function, do not use (= leave default)
void | SetFile (const File &f)
| Set/Get the DICOM file (DataSet + Header)
void | SetFileName (const char *filename_native)
| Set the filename of DICOM file to write:
void | SetStream (std::ostream &output_stream)
| Set user ostream buffer.

## Protected Member Functions

bool | PrepareWrite ()
Protected Member Functions inherited from gdcm::Writer
std::ostream * | GetStreamPtr () const
void | SetWriteDataSetOnly (bool b)

## Protected Attributes

SegmentVector | Segments
Protected Attributes inherited from gdcm::Writer
std::ofstream * | Ofstream
std::ostream * | Stream

## Detailed Description

This class defines a segment writer. It writes attributes of group 0x0062.

See Also
  PS 3.3 C.8.20.2 and C.8.23

## Member Typedef Documentation

typedef std::vector< SmartPointer< Segment > > gdcm::SegmentWriter::SegmentVector

## Constructor & Destructor Documentation

gdcm::SegmentWriter::SegmentWriter | ( |  | ) |

virtual gdcm::SegmentWriter::~SegmentWriter | ( |  | ) |

virtual

## Member Function Documentation

void gdcm::SegmentWriter::AddSegment | ( | SmartPointer< Segment > | segment | ) |

unsigned int gdcm::SegmentWriter::GetNumberOfSegments | ( |  | ) | const

SmartPointer< Segment > gdcm::SegmentWriter::GetSegment | ( | const unsigned int | idx = `0` | ) | const

const SegmentVector& gdcm::SegmentWriter::GetSegments | ( |  | ) | const

SegmentVector& gdcm::SegmentWriter::GetSegments | ( |  | ) |

bool gdcm::SegmentWriter::PrepareWrite | ( |  | ) |

protected

void gdcm::SegmentWriter::SetNumberOfSegments | ( | const unsigned int | size | ) |

void gdcm::SegmentWriter::SetSegments | ( | SegmentVector & | segments | ) |

bool gdcm::SegmentWriter::Write | ( |  | ) |

virtual

Write.

Reimplemented from gdcm::Writer.

Reimplemented in gdcm::SurfaceWriter.

## Member Data Documentation

SegmentVector gdcm::SegmentWriter::Segments

protected

The documentation for this class was generated from the following file:

- gdcmSegmentWriter.h